
From: Stefan <seife@suse.de>

In platform swsusp mode, we were forgetting to spin disks down, leading to
ugly emergency shutdown.  This synchronizes platform method with other
methods and actually helps.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/power/disk.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/power/disk.c~swsusp-do-not-provoke-emergency-disk-shutdowns kernel/power/disk.c
--- 25/kernel/power/disk.c~swsusp-do-not-provoke-emergency-disk-shutdowns	Fri Mar 11 14:38:56 2005
+++ 25-akpm/kernel/power/disk.c	Fri Mar 11 14:38:56 2005
@@ -53,7 +53,7 @@ static void power_down(suspend_disk_meth
 	local_irq_save(flags);
 	switch(mode) {
 	case PM_DISK_PLATFORM:
- 		device_power_down(PMSG_SUSPEND);
+ 		device_shutdown();
 		error = pm_ops->enter(PM_SUSPEND_DISK);
 		break;
 	case PM_DISK_SHUTDOWN:
_
